Subject: Re: how's Harbor Freight Tools?

From: [email-masked] (Greg Lewis)
Date: Mon, 2 Oct 1995 19:23:09 GMT

In article <[email-masked]> [email-masked] (M Lang) writes:
>I just got a catalog from Harbor Freight Tools
>and I'm wondering everybody's experience in 
>dealing with this company? 
>
>They carry a lot
>of Central Pneumatics/Central Machinary/Pittsburgh
>tools which are made in China/HongKong/Taiwan
>(that's what they told me). How's the quality
>of these tools, are they just like other chinese
>made junks?
>
>I would appreciate any info/comments. Thanks.
>
> - Minh -

In my experience, you get what you pay for. As a general rule, I have
been disappointed eventually with almost every cheap tool I've bought.
They might work OK at first, or be OK for a 1-shot job or a situation
where it might be destroyed or stolen, but eventually you'll notice
the difference. I no longer buy cheap imported tools for anything I
plan on using more than once.

___________________________________________________________________
[email-masked]      	   	     They don't
Photojournalism sequence      	   	     Call this place
Department of Mass Communication   	     An institution
     and Journalism 	      	   	     For nothing
CSU Fresno, Fresno, CA 93740-0010